 function Ac=correct_spanish_data(Ac)
% this function replaces part of JHU french time series with WHO data, because JHU data for Spain have several mistakes (resulting in negative daily new cases in a number of instances!).
% Latest WHO data is available at https://covid19.who.int/WHO-COVID-19-global-data.csv
cl=country_list(Ac);

for i=1:size(cl,1)
    % find france
    if strcmp(cl(i,1),'Spain')
        % replace Spanish data with WHO data

        if strcmp(Ac{1,5},'1/22/20')
            %load Spanish data from WHO
            % please check&update the range manually when using updated datafile!
            data_range='F145259:F145958'; % data from 1/22/2020 until 12/21/2021
            WHOdata=readcell('WHO-COVID-19-global-data_22Dec2021.csv','range',data_range);
            Ac(i+1,5:end)=WHOdata';
        end
    end
end
return